View Issue Details

IDProjectCategoryView StatusLast Update
0001841Far ManagerInterfacepublic2012-08-01 11:33
ReportersamlyukovAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001841: убрать для списков VMENU_WRAPMODE
Descriptionсчитаю, что флаг VMENU_WRAPMODE уместен только для меню и крайне достает в списках истории и дополнения. хорошо что этот врап давным-давно отключили для истории диалогов.

патч:
Index: edit.cpp
===================================================================
--- edit.cpp (revision 6485)
+++ edit.cpp (working copy)
@@ -3158,7 +3158,7 @@
         }
         if(ComplMenu.GetItemCount()>1 || (ComplMenu.GetItemCount()==1 && StrCmpI(strTemp,ComplMenu.GetItemPtr(0)->strName)))
         {
- ComplMenu.SetFlags(VMENU_WRAPMODE|VMENU_NOTCENTER|VMENU_SHOWAMPERSAND);
+ ComplMenu.SetFlags(VMENU_NOTCENTER|VMENU_SHOWAMPERSAND);
 
             if(!DelBlock && Opt.AutoComplete.AppendCompletion && (!Flags.Check(FEDITLINE_PERSISTENTBLOCKS) || Opt.AutoComplete.ShowList))
             {
Index: history.cpp
===================================================================
--- history.cpp (revision 6485)
+++ history.cpp (working copy)
@@ -168,7 +168,7 @@
 {
     int Height=ScrY-8;
     VMenu HistoryMenu(Title,nullptr,0,Height);
- HistoryMenu.SetFlags(VMENU_SHOWAMPERSAND|VMENU_WRAPMODE);
+ HistoryMenu.SetFlags(VMENU_SHOWAMPERSAND);
 
     if (HelpTopic)
         HistoryMenu.SetHelp(HelpTopic);
TagsNo tags attached.
Build2783

Relationships

related to 0001895 closed2useven10 Wishes Юзабилити wrap-режима в списках 

Activities

samlyukov

2012-01-06 15:17

reporter   bugnote:0008319

добавил настроек.

samlyukov

2012-01-06 15:17

reporter  

!work.diff (4,598 bytes)
Index: edit.cpp
===================================================================
--- edit.cpp	(revision 7162)
+++ edit.cpp	(working copy)
@@ -3199,7 +3199,7 @@
 		}
 		if(ComplMenu.GetItemCount()>1 || (ComplMenu.GetItemCount()==1 && StrCmpI(strTemp,ComplMenu.GetItemPtr(0)->strName)))
 		{
-			ComplMenu.SetFlags(VMENU_WRAPMODE|VMENU_NOTCENTER|VMENU_SHOWAMPERSAND);
+			ComplMenu.SetFlags(Opt.AutoComplete.WrapMode?VMENU_WRAPMODE|VMENU_NOTCENTER|VMENU_SHOWAMPERSAND:VMENU_NOTCENTER|VMENU_SHOWAMPERSAND);
 
 			if(!DelBlock && Opt.AutoComplete.AppendCompletion && (!Flags.Check(FEDITLINE_PERSISTENTBLOCKS) || Opt.AutoComplete.ShowList))
 			{
Index: history.cpp
===================================================================
--- history.cpp	(revision 7162)
+++ history.cpp	(working copy)
@@ -164,7 +164,7 @@
 {
 	int Height=ScrY-8;
 	VMenu HistoryMenu(Title,nullptr,0,Height);
-	HistoryMenu.SetFlags(VMENU_SHOWAMPERSAND|VMENU_WRAPMODE);
+	HistoryMenu.SetFlags(Opt.VMenu.HistoryWrapMode?VMENU_WRAPMODE|VMENU_SHOWAMPERSAND:VMENU_SHOWAMPERSAND);
 
 	if (HelpTopic)
 		HistoryMenu.SetHelp(HelpTopic);
Index: config.cpp
===================================================================
--- config.cpp	(revision 7162)
+++ config.cpp	(working copy)
@@ -247,6 +247,7 @@
 	ModalModeCheck->Indent(4);
 	Builder.AddCheckbox(MConfigAutoCompleteAutoAppend, &Opt.AutoComplete.AppendCompletion);
 	Builder.LinkFlags(ListCheck, ModalModeCheck, DIF_DISABLE);
+	Builder.AddCheckbox(MConfigAutoCompleteWrapMode, &Opt.AutoComplete.WrapMode);
 	Builder.AddOKCancel();
 	Builder.ShowDialog();
 }
@@ -342,6 +343,7 @@
 	Builder.AddComboBox((int *) &Opt.VMenu.RBtnClick, 40, CAListItems, ARRAYSIZE(CAListItems), DIF_DROPDOWNLIST|DIF_LISTAUTOHIGHLIGHT|DIF_LISTWRAPMODE);
 	Builder.AddText(MConfigVMenuMBtnClick);
 	Builder.AddComboBox((int *) &Opt.VMenu.MBtnClick, 40, CAListItems, ARRAYSIZE(CAListItems), DIF_DROPDOWNLIST|DIF_LISTAUTOHIGHLIGHT|DIF_LISTWRAPMODE);
+	Builder.AddCheckbox(MConfigVMenuHistoryWrapMode, &Opt.VMenu.HistoryWrapMode);
 	Builder.AddOKCancel();
 	Builder.ShowDialog();
 }
@@ -605,6 +607,7 @@
 	{1, GeneralConfig::TYPE_INTEGER, NKeyInterfaceCompletion,L"ShowList",&Opt.AutoComplete.ShowList, 1, 0},
 	{1, GeneralConfig::TYPE_INTEGER, NKeyInterfaceCompletion,L"ModalList",&Opt.AutoComplete.ModalList, 0, 0},
 	{1, GeneralConfig::TYPE_INTEGER, NKeyInterfaceCompletion,L"Append",&Opt.AutoComplete.AppendCompletion, 0, 0},
+	{1, GeneralConfig::TYPE_INTEGER, NKeyInterfaceCompletion,L"AutoCompleteWrapMode",&Opt.AutoComplete.WrapMode, 1, 0},
 
 	{1, GeneralConfig::TYPE_TEXT,    NKeyViewer,L"ExternalViewerName",&Opt.strExternalViewer, 0, L""},
 	{1, GeneralConfig::TYPE_INTEGER, NKeyViewer,L"UseExternalViewer",&Opt.ViOpt.UseExternalViewer,0, 0},
@@ -874,6 +877,7 @@
 	{1, GeneralConfig::TYPE_INTEGER, NKeyVMenu,L"LBtnClick",&Opt.VMenu.LBtnClick, VMENUCLICK_CANCEL, 0},
 	{1, GeneralConfig::TYPE_INTEGER, NKeyVMenu,L"RBtnClick",&Opt.VMenu.RBtnClick, VMENUCLICK_CANCEL, 0},
 	{1, GeneralConfig::TYPE_INTEGER, NKeyVMenu,L"MBtnClick",&Opt.VMenu.MBtnClick, VMENUCLICK_APPLY, 0},
+	{1, GeneralConfig::TYPE_INTEGER, NKeyVMenu,L"HistoryWrapMode",&Opt.VMenu.HistoryWrapMode, 1, 0},
 };
 
 void ReadConfig()
Index: config.hpp
===================================================================
--- config.hpp	(revision 7162)
+++ config.hpp	(working copy)
@@ -123,6 +123,7 @@
 	int ShowList;
 	int ModalList;
 	int AppendCompletion;
+	int WrapMode;
 };
 
 
@@ -353,6 +354,7 @@
 	int   LBtnClick;
 	int   RBtnClick;
 	int   MBtnClick;
+	int   HistoryWrapMode;
 };
 
 struct CommandLineOptions
Index: farlang.templ.m4
===================================================================
--- farlang.templ.m4	(revision 7162)
+++ farlang.templ.m4	(working copy)
@@ -1863,6 +1863,16 @@
 upd:"Do nothing"
 upd:"Do nothing"
 
+MConfigVMenuHistoryWrapMode
+"Режим &Заворот списка в историях"
+"&Wrap mode in history"
+upd:"Wrap mode in history"
+upd:"Wrap mode in history"
+upd:"Wrap mode in history"
+upd:"Wrap mode in history"
+upd:"Wrap mode in history"
+
+
 MConfigCmdlineTitle
 l:
 "Настройки командной строки"
@@ -1958,6 +1968,15 @@
 upd:"&Append first matched item"
 "&Agregar primer ítem coincidente"
 
+MConfigAutoCompleteWrapMode
+"Режим &Заворот списка"
+"&Wrap mode"
+upd:"Wrap mode"
+upd:"Wrap mode"
+upd:"Wrap mode"
+upd:"Wrap mode"
+upd:"Wrap mode"
+
 MConfigInfoPanelTitle
 l:
 "Настройка информационной панели"
!work.diff (4,598 bytes)

2useven10

2012-07-13 18:18

developer   bugnote:0009419

2766 - критикуйте.

по мотивам предложения Maximus`а...
http://forum.farmanager.com/viewtopic.php?f=3&t=6563&p=85042&hilit=wrap#p88298
зацикливание работает, но только если клавиша не зажата.

2useven10

2012-07-13 22:31

developer   bugnote:0009420

2767

2useven10

2012-07-25 07:19

developer   bugnote:0009431

может VMENU_WRAPMODE вообще убрать и все списки обрабатывать одинаково ?

2useven10

2012-07-25 12:59

developer   bugnote:0009433

Last edited: 2012-07-25 15:56

View 3 revisions

2775-2778 пока просто игнорируется

Issue History

Date Modified Username Field Change
2011-07-31 10:15 samlyukov New Issue
2012-01-06 15:17 samlyukov Note Added: 0008319
2012-01-06 15:17 samlyukov File Added: !work.diff
2012-07-13 18:18 2useven10 Note Added: 0009419
2012-07-13 22:31 2useven10 Note Added: 0009420
2012-07-13 22:31 2useven10 Assigned To => 2useven10
2012-07-13 22:31 2useven10 Status new => feedback
2012-07-25 07:19 2useven10 Note Added: 0009431
2012-07-25 12:59 2useven10 Note Added: 0009433
2012-07-25 14:34 2useven10 Note Edited: 0009433 View Revisions
2012-07-25 15:56 2useven10 Note Edited: 0009433 View Revisions
2012-07-31 18:44 samlyukov Status feedback => resolved
2012-07-31 20:26 2useven10 Relationship added related to 0001895
2012-08-01 11:33 2useven10 Build => 2783
2012-08-01 11:33 2useven10 Status resolved => closed
2012-08-01 11:33 2useven10 Resolution open => fixed
2012-08-01 11:33 2useven10 Fixed in Version => 3.0